Ignore:
Timestamp:
Oct 15, 2013 12:07:42 PM (6 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/releases/1.2.6/configure

    r2931 r2981  
    10621062                          (implies --disable-shared)
    10631063  --enable-debug-metis compile project Metis with debug compiler flags
    1064   --enable-doscompile     Under Cygwin, compile so that executables run under
    1065                           DOS. Set to mingw to use gcc/g++/ld with
    1066                           -mno-cygwin. Set to msvc to use cl/link (or
    1067                           icl/link). Default when mentioned: mingw. Default
    1068                           when not mentioned: disabled.
     1064
     1065  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10691066  --disable-pkg-config    disable use of pkg-config (if available)
    10701067  --enable-static[=PKGS]
     
    18551852
    18561853# Get the name of the C compiler
    1857 case $build in
     1854
     1855
     1856  # for backward compatibility
     1857  # Check whether --enable-doscompile or --disable-doscompile was given.
     1858if test "${enable_doscompile+set}" = set; then
     1859  enableval="$enable_doscompile"
     1860  enable_doscompile=$enableval
     1861else
     1862  enable_doscompile=no
     1863fi;
     1864
     1865  # Check whether --enable-msvc or --disable-msvc was given.
     1866if test "${enable_msvc+set}" = set; then
     1867  enableval="$enable_msvc"
     1868  enable_msvc=$enableval
     1869else
     1870  enable_msvc=no
     1871     if test "$enable_doscompile" = msvc ; then
     1872       enable_msvc=yes
     1873     elif test "$enable_doscompile" != no ; then
     1874       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1875echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1876   { (exit 1); exit 1; }; }
     1877     fi
     1878
     1879fi;
     1880
     1881  if test "$enable_msvc" = yes; then
     1882    case $build in
     1883      *-cygwin* | *-mingw*) ;;
     1884      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1885echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1886   { (exit 1); exit 1; }; } ;;
     1887    esac
     1888  fi
     1889
     1890
     1891 case $build in
    18581892  *-mingw*)
    18591893    if test "${LD+set}" = set; then :; else
     
    18621896    ;;
    18631897 esac
    1864  case $enable_doscompile in
    1865    msvc)
    1866      if test "x${LD+set}" = xset; then :; else
    1867        LD=link
    1868      fi
    1869      ;;
    1870  esac
    1871 
    1872 
    1873  # Check whether --enable-doscompile or --disable-doscompile was given.
    1874 if test "${enable_doscompile+set}" = set; then
    1875   enableval="$enable_doscompile"
    1876   if test "$enable_doscompile" != no; then
    1877      case $build in
    1878        *-cygwin* | *-mingw*) ;;
    1879        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1880 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1881    { (exit 1); exit 1; }; } ;;
    1882      esac
     1898 if test $enable_msvc = yes ; then
     1899   if test "x${LD+set}" = xset; then :; else
     1900     LD=link
    18831901   fi
    1884 else
    1885   enable_doscompile=no
    1886 fi;
    1887  case "$enable_doscompile" in
    1888    mingw)
    1889      case $build in
    1890        *-mingw*) enable_doscompile=no ;;
    1891      esac
    1892      ;;
    1893    msvc|no) ;;
    1894    yes) enable_doscompile=mingw ;;
    1895    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1896                     Try configure --help=recursive." >&5
    1897 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1898                     Try configure --help=recursive." >&2;}
    1899    { (exit 1); exit 1; }; }
    1900       ;;
    1901   esac
    1902   if test "$enable_doscompile" != no ; then
    1903     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1904 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1905   fi
     1902 fi
    19061903
    19071904
     
    19461943case $build in
    19471944  *-cygwin* | *-mingw*)
    1948              if test "$enable_doscompile" = msvc ; then
    1949                comps="icl cl"
     1945             if test "$enable_msvc" = yes ; then
     1946               comps="icl cl gcc"
    19501947             else
    1951                comps="gcc cl"
     1948               comps="gcc icl cl"
    19521949             fi ;;
    19531950  *-*-solaris*)
     
    28022799            ;;
    28032800        esac
    2804         case $enable_doscompile in
    2805           mingw)
    2806             CFLAGS="-mno-cygwin"
    2807             cat >conftest.$ac_ext <<_ACEOF
    2808 /* confdefs.h.  */
    2809 _ACEOF
    2810 cat confdefs.h >>conftest.$ac_ext
    2811 cat >>conftest.$ac_ext <<_ACEOF
    2812 /* end confdefs.h.  */
    2813 
    2814 int
    2815 main ()
    2816 {
    2817 int i=0; i++;
    2818   ;
    2819   return 0;
    2820 }
    2821 _ACEOF
    2822 rm -f conftest.$ac_objext conftest$ac_exeext
    2823 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2824   (eval $ac_link) 2>conftest.er1
    2825   ac_status=$?
    2826   grep -v '^ *+' conftest.er1 >conftest.err
    2827   rm -f conftest.er1
    2828   cat conftest.err >&5
    2829   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2830   (exit $ac_status); } &&
    2831          { ac_try='test -z "$ac_c_werror_flag"
    2832                          || test ! -s conftest.err'
    2833   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2834   (eval $ac_try) 2>&5
    2835   ac_status=$?
    2836   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2837   (exit $ac_status); }; } &&
    2838          { ac_try='test -s conftest$ac_exeext'
    2839   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2840   (eval $ac_try) 2>&5
    2841   ac_status=$?
    2842   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2843   (exit $ac_status); }; }; then
    2844   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2845 else
    2846   echo "$as_me: failed program was:" >&5
    2847 sed 's/^/| /' conftest.$ac_ext >&5
    2848 
    2849 fi
    2850 rm -f conftest.err conftest.$ac_objext \
    2851       conftest$ac_exeext conftest.$ac_ext
    2852             CFLAGS=
    2853           ;;
    2854         esac
    28552801    esac
    28562802  fi
     
    31933139  clang* ) ;;
    31943140  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3195     case $build in
     3141
     3142 case $build in
    31963143  *-mingw*)
    31973144    if test "${LD+set}" = set; then :; else
     
    32003147    ;;
    32013148 esac
    3202  case $enable_doscompile in
    3203    msvc)
    3204      if test "x${LD+set}" = xset; then :; else
    3205        LD=link
    3206      fi
    3207      ;;
    3208  esac
     3149 if test $enable_msvc = yes ; then
     3150   if test "x${LD+set}" = xset; then :; else
     3151     LD=link
     3152   fi
     3153 fi
    32093154
    32103155    ;;
     
    50685013*-*-irix6*)
    50695014  # Find out which ABI we are using.
    5070   echo '#line 5070 "configure"' > conftest.$ac_ext
     5015  echo '#line 5015 "configure"' > conftest.$ac_ext
    50715016  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    50725017  (eval $ac_compile) 2>&5
     
    66676612
    66686613# Provide some information about the compiler.
    6669 echo "$as_me:6669:" \
     6614echo "$as_me:6614:" \
    66706615     "checking for Fortran 77 compiler version" >&5
    66716616ac_compiler=`set X $ac_compile; echo $2`
     
    77347679   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77357680   -e 's:$: $lt_compiler_flag:'`
    7736    (eval echo "\"\$as_me:7736: $lt_compile\"" >&5)
     7681   (eval echo "\"\$as_me:7681: $lt_compile\"" >&5)
    77377682   (eval "$lt_compile" 2>conftest.err)
    77387683   ac_status=$?
    77397684   cat conftest.err >&5
    7740    echo "$as_me:7740: \$? = $ac_status" >&5
     7685   echo "$as_me:7685: \$? = $ac_status" >&5
    77417686   if (exit $ac_status) && test -s "$ac_outfile"; then
    77427687     # The compiler can only warn and ignore the option if not recognized
     
    80027947   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80037948   -e 's:$: $lt_compiler_flag:'`
    8004    (eval echo "\"\$as_me:8004: $lt_compile\"" >&5)
     7949   (eval echo "\"\$as_me:7949: $lt_compile\"" >&5)
    80057950   (eval "$lt_compile" 2>conftest.err)
    80067951   ac_status=$?
    80077952   cat conftest.err >&5
    8008    echo "$as_me:8008: \$? = $ac_status" >&5
     7953   echo "$as_me:7953: \$? = $ac_status" >&5
    80097954   if (exit $ac_status) && test -s "$ac_outfile"; then
    80107955     # The compiler can only warn and ignore the option if not recognized
     
    81068051   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81078052   -e 's:$: $lt_compiler_flag:'`
    8108    (eval echo "\"\$as_me:8108: $lt_compile\"" >&5)
     8053   (eval echo "\"\$as_me:8053: $lt_compile\"" >&5)
    81098054   (eval "$lt_compile" 2>out/conftest.err)
    81108055   ac_status=$?
    81118056   cat out/conftest.err >&5
    8112    echo "$as_me:8112: \$? = $ac_status" >&5
     8057   echo "$as_me:8057: \$? = $ac_status" >&5
    81138058   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81148059   then
     
    1045110396  lt_status=$lt_dlunknown
    1045210397  cat > conftest.$ac_ext <<EOF
    10453 #line 10453 "configure"
     10398#line 10398 "configure"
    1045410399#include "confdefs.h"
    1045510400
     
    1055110496  lt_status=$lt_dlunknown
    1055210497  cat > conftest.$ac_ext <<EOF
    10553 #line 10553 "configure"
     10498#line 10498 "configure"
    1055410499#include "confdefs.h"
    1055510500
     
    1289512840   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289612841   -e 's:$: $lt_compiler_flag:'`
    12897    (eval echo "\"\$as_me:12897: $lt_compile\"" >&5)
     12842   (eval echo "\"\$as_me:12842: $lt_compile\"" >&5)
    1289812843   (eval "$lt_compile" 2>conftest.err)
    1289912844   ac_status=$?
    1290012845   cat conftest.err >&5
    12901    echo "$as_me:12901: \$? = $ac_status" >&5
     12846   echo "$as_me:12846: \$? = $ac_status" >&5
    1290212847   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290312848     # The compiler can only warn and ignore the option if not recognized
     
    1299912944   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1300012945   -e 's:$: $lt_compiler_flag:'`
    13001    (eval echo "\"\$as_me:13001: $lt_compile\"" >&5)
     12946   (eval echo "\"\$as_me:12946: $lt_compile\"" >&5)
    1300212947   (eval "$lt_compile" 2>out/conftest.err)
    1300312948   ac_status=$?
    1300412949   cat out/conftest.err >&5
    13005    echo "$as_me:13005: \$? = $ac_status" >&5
     12950   echo "$as_me:12950: \$? = $ac_status" >&5
    1300612951   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300712952   then
     
    1456914514   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1457014515   -e 's:$: $lt_compiler_flag:'`
    14571    (eval echo "\"\$as_me:14571: $lt_compile\"" >&5)
     14516   (eval echo "\"\$as_me:14516: $lt_compile\"" >&5)
    1457214517   (eval "$lt_compile" 2>conftest.err)
    1457314518   ac_status=$?
    1457414519   cat conftest.err >&5
    14575    echo "$as_me:14575: \$? = $ac_status" >&5
     14520   echo "$as_me:14520: \$? = $ac_status" >&5
    1457614521   if (exit $ac_status) && test -s "$ac_outfile"; then
    1457714522     # The compiler can only warn and ignore the option if not recognized
     
    1467314618   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1467414619   -e 's:$: $lt_compiler_flag:'`
    14675    (eval echo "\"\$as_me:14675: $lt_compile\"" >&5)
     14620   (eval echo "\"\$as_me:14620: $lt_compile\"" >&5)
    1467614621   (eval "$lt_compile" 2>out/conftest.err)
    1467714622   ac_status=$?
    1467814623   cat out/conftest.err >&5
    14679    echo "$as_me:14679: \$? = $ac_status" >&5
     14624   echo "$as_me:14624: \$? = $ac_status" >&5
    1468014625   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1468114626   then
     
    1688016825   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1688116826   -e 's:$: $lt_compiler_flag:'`
    16882    (eval echo "\"\$as_me:16882: $lt_compile\"" >&5)
     16827   (eval echo "\"\$as_me:16827: $lt_compile\"" >&5)
    1688316828   (eval "$lt_compile" 2>conftest.err)
    1688416829   ac_status=$?
    1688516830   cat conftest.err >&5
    16886    echo "$as_me:16886: \$? = $ac_status" >&5
     16831   echo "$as_me:16831: \$? = $ac_status" >&5
    1688716832   if (exit $ac_status) && test -s "$ac_outfile"; then
    1688816833     # The compiler can only warn and ignore the option if not recognized
     
    1714817093   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1714917094   -e 's:$: $lt_compiler_flag:'`
    17150    (eval echo "\"\$as_me:17150: $lt_compile\"" >&5)
     17095   (eval echo "\"\$as_me:17095: $lt_compile\"" >&5)
    1715117096   (eval "$lt_compile" 2>conftest.err)
    1715217097   ac_status=$?
    1715317098   cat conftest.err >&5
    17154    echo "$as_me:17154: \$? = $ac_status" >&5
     17099   echo "$as_me:17099: \$? = $ac_status" >&5
    1715517100   if (exit $ac_status) && test -s "$ac_outfile"; then
    1715617101     # The compiler can only warn and ignore the option if not recognized
     
    1725217197   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725317198   -e 's:$: $lt_compiler_flag:'`
    17254    (eval echo "\"\$as_me:17254: $lt_compile\"" >&5)
     17199   (eval echo "\"\$as_me:17199: $lt_compile\"" >&5)
    1725517200   (eval "$lt_compile" 2>out/conftest.err)
    1725617201   ac_status=$?
    1725717202   cat out/conftest.err >&5
    17258    echo "$as_me:17258: \$? = $ac_status" >&5
     17203   echo "$as_me:17203: \$? = $ac_status" >&5
    1725917204   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1726017205   then
     
    2041820363echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2041920364coin_link_input_cmd="$LN_S"
    20420 if test "$enable_doscompile" = mingw; then
    20421   coin_link_input_cmd=cp
    20422 fi
    2042320365case "$CC" in
    2042420366  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.